# Base image: really weightless
image: python:3.6

stages:
  - test
  - deploy

test:
  stage: test
  script:
  - apt-get update -qy
  - apt-get install -y python-dev python-pip
  - pip install -r requirements.txt && pip install -r requirements-dev.txt
  - py.test --cov=microclient microclient/tests.py
  coverage: '/TOTAL\s+\d+\s+\d+\s+(\d+%)/'

pip:
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - python setup.py sdist
    - dpl --provider=pypi --user=$PIP_USERNAME --password=$PIP_PASSWORD --skip_existing=true
  only:
  - master
